This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1013292 - It should not display 'error' when run `rhc domain list|show` on old OSE server
It should not display 'error' when run `rhc domain list|show` on old OSE server
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 02:26 EDT by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:32:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2013-09-29 02:26:43 EDT
Description of problem:
when run `rhc domain list` on old OSE server, it display 
Allowed Gear Sizes: <none>
Members:            <error>


Version-Release number of selected component (if applicable):
OSE-1.2.3
rhc-1.15.3
How reproducible:
always

Steps to Reproduce:
1.make sure you have at least a domain
2.run `rhc domain list`
3.check the output of it 

Actual results:
Domain wjiang
-------------
  Allowed Gear Sizes: <none>
  Members:            <error>

You have access to 1 domain.

Expected results:
It should not display members field.

Additional info:
Comment 1 weiwei jiang 2013-09-29 04:38:19 EDT
And `rhc domain show` also got this issue

#rhc domain show 
Domain wjiang
-------------
  Allowed Gear Sizes: <none>
  Members:            <error>
......
Comment 3 Clayton Coleman 2013-09-30 13:33:15 EDT
Fixed in https://github.com/openshift/rhc/pull/470
Comment 4 openshift-github-bot 2013-09-30 17:52:09 EDT
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/6b4be5d2c8e2211ed94c009d08660ff38c897e23
Bug 1013292 - Tolerate OSE1.2 attributes

Also, prep for API 1.6 support by handling id/name changes on Domain gracefully.
Comment 5 Peter Ruan 2013-10-02 14:50:09 EDT
verified with rhc.1.15.4

Successfully installed rhc-1.15.4
1 gem installed
Command Return: 0
INFO [11:48:27] rhc client gem file /home/pruan/rhc-1.15.4.gem successfully installed
[pruan@homer-linux <DEV> bin]# rhc domain show
Domain jdwjxd
-------------

The domain jdwjxd exists but has no applications. You can use 'rhc create-app' to create a new
application.

Note You need to log in before you can comment on or make changes to this bug.